BusExtensionPostProcessor (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf.bus.spring, class: BusExtensionPostProcessor

Package org.apache.cxf.bus.spring

# Class BusExtensionPostProcessor

java.lang.Object
org.apache.cxf.bus.spring.BusExtensionPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.config.BeanPostProcessor`, `org.springframework.context.ApplicationContextAware`, `org.springframework.core.Ordered`

public class BusExtensionPostProcessor extends Object implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.context.ApplicationContextAware, org.springframework.core.Ordered

- ## Field Summary

  ### Fields inherited from interface org.springframework.core.Ordered

  `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusExtensionPostProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getOrder()`
  `Object`
  `postProcessAfterInitialization(Object bean, String beanId)`
  `Object`
  `postProcessBeforeInitialization(Object bean, String beanId)`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext ctx)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BusExtensionPostProcessor

    public BusExtensionPostProcessor()

- ## Method Details

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

  - ### getOrder

    public int getOrder()
    Specified by:
      `getOrder` in interface `org.springframework.core.Ordered`

  - ### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean, String beanId)
    Specified by:
      `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

  - ### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean, String beanId)
    Specified by:
      `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`